Skip to content

Retrieve a PEP and sanctions screening job for a business entity

Request

Retrieves details about a specific PEP and sanctions screening job.

Security
oauth2_client_credentials or oauth2_authorization_code
Path
pepSanctionBusinessEntityJobstringrequired

The pepSanctionBusinessEntityJob id.

curl -i -X GET \
  'https://docs.bndry.net/_mock/apis/openapi/v1alpha/pepSanctionBusinessEntityJobs/{pepSanctionBusinessEntityJob}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
namestring(name)

(IDENTIFIER) Output only. The resource name of the job. Format: pepSanctionBusinessEntityJobs/{pep_sanction_business_entity_job} correct_name_format // name must follow format 'pepSanctionBusinessEntityJobs/*'

createTimestring, (date-time)(create_time)read-only

Output only. The timestamp when the job was created.

updateTimestring, (date-time)(update_time)read-only

Output only. The timestamp when the job was most recently updated.

webhookUristring or null, (uri), <= 2048 characters(webhook_uri)

(OPTIONAL) Optional. A webhook URL to call for status updates when the job is run.

Response
{ "name": "pepSanctionBusinessEntityJobs/pep-sanction-screen-2024-0127-743891", "createTime": "2023-01-15T01:30:15.01Z", "updateTime": "2023-01-15T01:30:15.01Z", "webhookUri": "https://api.example.com/webhooks" }